<?php
if (isset($_SERVER['HTTP_ORIGIN'])) {
    header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
    header('Access-Control-Allow-Credentials: true');
    header('Access-Control-Max-Age: 86400'); // cache for 1 day
}

error_reporting(E_ERROR | E_PARSE);
$_SESSION['database'] = $_GET['database'];
$secuencia = $_GET['secuencia'];
include 'conn.php';
include 'funciones.php';

if ($_GET['ind'] == "0") {
    /////////Inicio
    ///////// BLoque que se encarga de retornar los productos asociados a una familia
    /////////$_GET['id'] = Id de la familia seleccionada
    /////////

    $jsonData = array();
    $jsonTempData = array();

    $montoesql = "select SUBSTRING(pr_descripcion,1,10) AS pr_descripcion,w_bt_prior,w_fncolor,pr_id from " . $_GET['database'] . ".productos where pr_id_familia = '" . $_GET['id'] . "' order by  w_bt_prior asc";

    $qur = $connection->query($montoesql);

    if ($_SESSION['codigo'] == "99") {

        $json->datos = "false";

    } else {
        //logs($montoesql);
        $json->datos = "true";

        while ($r = mysqli_fetch_assoc($qur)) {

            $jsonTempData = array();

            $jsonTempData['w_des_tecla'] = utf8_encode($r['pr_descripcion']);
            $jsonTempData['w_teclar'] = null;
            $jsonTempData['w_bt_prior'] = $r['w_bt_prior'];
            $jsonTempData['w_tipo'] = 2;
            $jsonTempData['w_relac'] = null;
            $jsonTempData['w_fncolor'] = $r['w_fncolor'];
            $jsonTempData['id'] = $r['pr_id'];
            $jsonData[] = $jsonTempData;
        }
    }

    $json->familiaBotones = $jsonData;

    /////////
    /////////FIN FAMILIA BOTONES
    /////////
    /////////
}

if ($_GET['ind'] == "1") {
    /////////INSERT Productos_Temp
    /////////Se encarga de guardar en la tabla temporal los productos que el cliente quiere facturar
    /////////Primero se obtiene el detalle del producto para luego insertar en la tabla temporal
    /////////

    //$insert_detalle = array();

    $insert_detalle = explode(",", $_GET['arregloProducto']);

    $sql = "insert into " . $_GET['database'] . ".tmp_producto_op (po_op_id,po_costo,po_precio,po_itbms,po_descripcion)
		values('" . $secuencia . "','" . $insert_detalle[0] . "','" . $insert_detalle[0] . "','" . $insert_detalle[4] . "','" . $insert_detalle[1] . "')";
    $qur = $connection->query($sql);

    //$json->insert_detalle = $insert_detalle[1];

    /////////
    ///////// FIN INSERT Productos_Temp
    /////////
}

if ($_GET['ind'] == "5") {

    /////////Se encarga de guardar en la tabla temporal los productos que el cliente quiere facturar
    /////////Primero se obtiene el detalle del producto para luego insertar en la tabla temporal
    /////////

    $jsonData = array();
    $jsonTempData = array();

    $montoesql = "select pr_id,pr_costo,pr_itbms,pr_des_tecla from " . $_GET['database'] . ".productos_det where pr_id = '" . $_GET['idProducto'] . "'";
    $qur = $connection->query($montoesql);

    if ($_SESSION['codigo'] == "99") {
        $json->datos = "false";
    } else {
        //logs($montoesql);
        $json->datos = "true";
        while ($r = mysqli_fetch_assoc($qur)) {

            $jsonTempData = array();
            $jsonTempData['pr_id'] = utf8_encode($r['pr_id']);
            $jsonTempData['pr_costo'] = $r['pr_costo'];
            $jsonTempData['pr_itbms'] = $r['pr_itbms'];
            $jsonTempData['pr_des_tecla'] = $r['pr_des_tecla'];

            $jsonTempData['costototal'] = number_format(($r['pr_costo'] + $r['pr_itbms']), 3);

            $jsonData[] = $jsonTempData;
        }

    }

    $json->valoresProducto = $jsonData;
}

if ($_GET['ind'] == "2") {
    ///////// Buscar Productos Temp
    ///////// Realiza una busqueda en la tabla temporal de productos para crear el json que contiene los datos
    ///////// que se mostraran en la lista de productos solicitados por el cliente
    /////////

    $jsonData = array();
    $jsonTempData = array();

    $montoesql = "select SUBSTRING(po_descripcion,1,6) AS po_descripcion,po_precio,po_costo,po_itbms,po_desc1 from " . $_GET['database'] . ".tmp_producto_op where  po_op_id = '" . $secuencia . "' order by po_id desc";
    $qur = $connection->query($montoesql);

    if ($_SESSION['codigo'] == "99") {
        $json->datos = "false";
    } else {
        //logs($montoesql);
        $json->datos = "true";

        while ($r = mysqli_fetch_assoc($qur)) {
            $jsonTempData = array();
            $jsonTempData['Descripcion'] = utf8_encode($r['po_descripcion']);
            $jsonTempData['cantidad'] = 1;
            $jsonTempData['precio'] = $r['po_precio'];
            $jsonTempData['total'] = $r['po_costo'];
            $jsonTempData['impuesto'] = $r['po_itbms'];
            $jsonTempData['descuento'] = $r['po_desc1'];
            $jsonData[] = $jsonTempData;
        }
    }

    $json->tmp_producto_op = $jsonData;

    ///////// FIN Buscar Productos Temp
    /////////
    /////////
    /////////

    $jsonData = array();
    $jsonTempData = array();

    $montoesql = "select count(*) AS suma from " . $_GET['database'] . ".tmp_producto_op where  po_op_id = '" . $secuencia . "'";
    $qur = $connection->query($montoesql);

    if ($_SESSION['codigo'] == "99") {
        $json->datos = "false";
    } else {
        //logs($montoesql);
        $json->datos = "true";

        while ($r = mysqli_fetch_assoc($qur)) {
            $jsonTempData = array();
            $jsonTempData['cantidad'] = $r['suma'];
            $jsonData[] = $jsonTempData;
        }
    }

    $json->cantidadProductos = $jsonData;

}

if ($_GET['ind'] == "3") {
    ///////// INICIO cabecera
    ///////// Se encarga de consultar, actualizar o insertar de la tabla tmp_operacion
    ///////// de esta tabla se obtiene los datos que se mostraran en la pantalla referente a los montos a pagar por el cliente
    ///////// Retorna el arreglo que contiene los datos mencionados anteriormente

    $jsonData = array();
    $jsonTempData = array();

    $montoesql = "select pr_costo,pr_itbms,pr_des_tecla from " . $_GET['database'] . ".productos_det where pr_id = '" . $_GET['idProducto'] . "'";
    $qur = $connection->query($montoesql);

    if ($_SESSION['codigo'] == "99") {
        $json->datos = "false";
    } else {
        //logs($montoesql);
        $json->datos = "true";
        while ($r = mysqli_fetch_assoc($qur)) {

            $costo = $r['pr_costo'];
            $itbms = $r['pr_itbms'];
            $desc_tecla = $r['pr_des_tecla'];
            $costototal = $r['pr_costo'] + $r['pr_itbms'];
        }

    }

    $montoesql = "select 1 as cantidad from " . $_GET['database'] . ".tmp_operacion where op_id = '" . $secuencia . "'";
    $qur = $connection->query($montoesql);
    $r = mysqli_fetch_assoc($qur);
    $cantidad = $r['cantidad'];

    if ($cantidad == 1) {
        $sql = "update " . $_GET['database'] . ".tmp_operacion set op_subtotal = op_subtotal + '" . $costo . "' ,op_itbms = op_itbms + '" . $itbms . "' ,op_total = op_total + '" . $costototal . "'  where  op_id = '" . $secuencia . "'";
    } else {
        $sql = "insert into " . $_GET['database'] . ".tmp_operacion (op_id,op_subtotal,op_itbms,op_total) values('" . $secuencia . "','" . $costo . "','" . $itbms . "','" . $costototal . "')";
    }

    $qur = $connection->query($sql);
}

if ($_GET['ind'] == "4") {

    $jsonData = array();
    $jsonTempData = array();

    $montoesql = "SELECT op_subtotal,op_itbms,op_total,op_desc from " . $_GET['database'] . ".tmp_operacion where op_id = '" . $secuencia . "'";
    $qur = $connection->query($montoesql);

    if ($_SESSION['codigo'] == "99") {
        $json->datos = "false";
    } else {
        //logs($montoesql);
        $json->datos = "true";

        while ($r = mysqli_fetch_assoc($qur)) {

            $jsonTempData = array();
            $jsonTempData['op_subtotal'] = $r['op_subtotal'];
            $jsonTempData['op_itbms'] = utf8_encode($r['op_itbms']);
            $jsonTempData['op_total'] = utf8_encode($r['op_total']);
            $jsonTempData['op_desc'] = utf8_encode($r['op_desc']);
            $jsonData[] = $jsonTempData;
        }
    }

    $json->cabecera = $jsonData;

    ///////// FIN cabecera
    /////////
    /////////
    /////////
}

print_r(json_encode($json));

$qur = null;
@mysqli_close($connection);
?>